WHATIS(1)

BEZEICHNUNG
whatis - durchsucht die Indexdatenbank nach Kurzbeschreibungen

ÜBERSICHT
whatis [-dlv?V] [-r|-w] [-s Liste] [-m System[,...]] [-M Pfad] [-L Locale] [-C Datei] Name ...

BESCHREIBUNG
Innerhalb jeder Handbuchseite ist eine Kurzbeschreibung vorhanden. whatis durchsucht die Namen der Handbuchseiten und zeigt die Beschreibungen der gefundenen Seiten mit passendem Namen an. Name kann Platzhalter (Wildcards, -w) oder reguläre Ausdrücke (-r) enthalten. Bei der Nutzung dieser Optionen kann es erforderlich sein, den Namen mit Anführungszeichen und Sonderzeichen mit Escape-Sequenzen (\) vor der Verarbeitung durch die Shell zu schützen. Während der Suche werden Index-Datenbanken verwendet, die von dem Programm mandb aktuell gehalten werden. Abhängig von Ihrer Installation wird die Datenbank periodisch per Cron-Job aktualisiert - oder Sie müssen nach der Installation neuer Handbuchseiten mandb manuell starten. Um aus der relativen Index-Datenbank eine althergebrachte whatis-Textdatenbank zu erzeugen, geben Sie den folgenden Befehl ein whatis -M Pfad -w '*' | sort > Pfad/whatis wobei Pfad eine Handbuch-Hierarchie wie z.B. /usr/man ist.

OPTIONEN

-d, --debug
    Ausgabe von Debug-Informationen

-v, --verbose
    Ausgabe ausführlicher Warnmeldungen

-r, --regex
    Interpretiert jeden Namen als regulären Ausdruck. Wenn ein Name irgendeinem Teil eines Seitennamens entspricht, wird dies als Übereinstimmung gewertet. Aus der Natur von Datenbankabfragen heraus macht diese Option whatis etwas langsamer.

-w, --wildcard
    Interpretiert jeden Namen als ein Muster, das Shell-Platzhalter (Wildcards) enthält. Für einen Fund muss der ausgewertete Name mit dem vollständigen Namen der Handbuchseite übereinstimmen. Aus der Natur von Datenbankabfragen heraus macht diese Option whatis etwas langsamer.

-l, --long
    Die Ausgabe wird nicht auf die Terminalbreite beschnitten. Normalerweise wird die Ausgabe auf die Terminalbreite gestutzt, um hässliche Ergebnisse schlecht geschriebener BEZEICHNUNGs-Abschnitte zu vermeiden.

-s Liste, --sections Liste, --section Liste
    Durchsucht nur die vorgegebenen Abschnitte. Liste ist eine durch Kommas oder Doppelpunkte gegliederte Liste von Abschnitten. Wenn ein Eintrag in Liste ein einfacher Abschnitt ist (z. B. »3«), enthält das Ergebnis Seiten aus den Abschnitten »3«, »3perl«, »3x« usw. Wird Abschnitt mit Suffix angegeben (z. B. »3perl«), werden die Ergebnisse nur in diesem speziellen Unterabschnitt gesucht.

-m system[,...], --systems=System[,...]
    Wenn Ihr System auch auf die Handbuchseiten eines anderen Betriebssystems zugreifen kann, können diese Seiten mit dieser Option durchsucht werden. Um die Beschreibungen der Handbuchseiten von NewOS zu durchsuchen, verwenden Sie die Option -m NewOS. Das angegebene System kann eine durch Kommas abgetrennte Aufzählung von Betriebssystemnamen sein. Um auch die Handbuchseiten des eigenen Betriebssystems mit zu durchsuchen, geben Sie auch den Systemnamen man als Argument mit ein. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-M Pfad, --manpath=Pfad
    Legt mehrere durch Doppelpunkte getrennte alternative Handbuch-Hierarchien fest, die durchsucht werden sollen. Standardmäßig verwendet whatis die Umgebungsvariable $MANPATH. Wenn diese leer ist oder ihr kein Wert zugewiesen wurde, wird das Programm versuchen, auf Grundlage der Umgebungsvariablen $PATH einen geeigneten »Manpath« zu bestimmen. Diese Option überschreibt den Inhalt von $MANPATH.

-L Locale, --locale=Locale
    whatis wird in der Regel Ihre aktuelle Locale durch einen Aufruf der C-Funktion setlocale(3) bestimmen, welche verschiedene Umgebungsvariablen auswertet (darunter sind eventuell auch $LC_MESSAGES und $LANG). Um den ermittelten Wert vorübergehend außer Kraft zu setzen, können Sie whatis mit dieser Option eine Locale vorgeben. Beachten Sie, dass dieser Wert erst wirksam wird, wenn die Suche tatsächlich beginnt. Programm-Meldungen wie Hilfe-Nachrichten werden immer in der zu Anfang ermittelten Locale angezeigt werden.

-C Datei, --config-file=Datei
    Verwendung dieser benutzerspezifischen Konfigurationsdatei an Stelle der Vorgabe ~/.manpath

-?, --help
    Hilfetext anzeigen und beenden

--usage
    zeigt eine kurze Anwendungszusammenfassung an und beendet das Programm.

-V, --version
    Versionsinformation anzeigen und beenden

EXIT-STATUS

0   erfolgreiche Programmausführung

1   Fehler beim Aufruf, in der Syntax oder in der Konfigurationsdatei

2   betriebsbedingter Fehler

16  keine Ergebnisse für die angegebenen Suchkriterien

UMGEBUNGSVARIABLEN

SYSTEM
    Wenn $SYSTEM gesetzt ist, hat das die gleiche Wirkung wie die Verwendung als Argument für die Option -m.

MANPATH
    Wenn $MANPATH gesetzt ist, wird ihr Wert als der mit Kommas getrennte anzuwendende Hierarchie-Suchpfad für Handbuchseiten interpretiert.

MANWIDTH
    Wenn $MANWIDTH gesetzt ist, wird ihr Wert als Terminalbreite verwendet (siehe die Option --long). Ist sie nicht gesetzt, wird die Terminalbreite mittels ioctl(2) oder mit dem Wert von $COLUMNS ermittelt, wenn diese Variable gesetzt ist. Wenn alles fehlschlägt, werden 80 Zeichen verwendet.

DATEIEN

/usr/share/man/index.(bt|db|dir|pag)
    ein traditioneller, globaler Zwischenspeicher für die Index-Datenbank

/var/cache/man/index.(bt|db|dir|pag)
    ein FHS-konformer, globaler Zwischenspeicher für die Index-Datenbank

/usr/share/man/.../whatis
    eine traditionelle whatis-Textdatenbank

SIEHE AUCH
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).